import javax.swing.JOptionPane;
import java.util.*;


/**
 * Driver for the Josephus Class that simulates the Josephus Game 
 * and prints names of people in the order they are eliminated.
 */

public class JosephusGame {
  
  public static void main(String[]args) {    

    // Solicit input from the user
    int everyWhich = Integer.parseInt(
        JOptionPane.showInputDialog("Please enter the \'Every Which\' value",
        "3"));
    int howMany = Integer.parseInt(
        JOptionPane.showInputDialog(
            "Please enter how many of the people you would like to cycle through",
            "20"));
    
    // create and execute an instance of the Josephus Game...
    Josephus josephus = new Josephus("20names.txt", everyWhich, howMany);
		
    // Obtain the units in the order they were eliminated...
    ArrayList<String> eliminated = josephus.getOrder();
		
    // Publish results...
    System.out.println(
        "Order of units eliminated: (" + everyWhich + ", " + howMany + ')');
    
    int i = 0;

    for (String n:eliminated) {
      System.out.println(++i + ".\t" + n);
    }
  }
}
